import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Contenu from "../Contenu";
import Volet_Base from "../components/Volet_Base";
import Volet_Menu from "../components/Volet_Menu";
import Volet_Contenu from "../components/Volet_Contenu";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Volet_Menu', () => {

    const wrapper = shallowMount(Volet_Menu)

    let button = wrapper.find('#recherche');
    expect(wrapper.vm.modeFiltre).toEqual(true)
    button.trigger('click');
    expect(wrapper.vm.modeFiltre).toEqual(false)

})